﻿using System;
using System.Collections.Generic;
using System.IO;
using UnityEngine;
using UnityEngine.Events;

namespace wwm
{
    public class wwm
    {
        public static void Main()
        {

			string itemName;
            CategoryBuilder.Create("WWM", "A western mod", ModAPI.LoadSprite("CategorythumbnailWWM.png"));

            ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                 NameOverride = "Spencer Carbine - WWM",
                 NameToOrderByOverride = "1",
                 DescriptionOverride = "adniawndiuawjdi",
                 CategoryOverride = ModAPI.FindCategory("WWM"),
                 ThumbnailOverride = ModAPI.LoadSprite("SpencerCarbineThumb.png", 5f),
                 AfterSpawn = (Instance) =>
                 {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SpencerCarbine.png", 1.4f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                     customCartridge.name = "9mm";
                     customCartridge.Damage *= 3f;
                     customCartridge.StartSpeed *= 2.5f;
                     customCartridge.PenetrationRandomAngleMultiplier *= 0f;
                     customCartridge.Recoil *= 2f;
                     customCartridge.ImpactForce *= 2f;
                     firearm.Cartridge = customCartridge;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("SpencerCarbine.mp3"),
                     };
                 }
             }
             ); ;

            // register item to the mod api
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), //item to derive from
        NameOverride = "Tan Cowboy Hat - WWM", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "Hat1",
        DescriptionOverride = "Hat.", //new item description
        CategoryOverride = ModAPI.FindCategory("WWM"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("Hats/HatTanThumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Hats/HatTan.png"); //get the SpriteRenderer and replace its sprite with a custom one
            Instance.FixColliders();
            ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

            armor.stabResistance = 0f;
            armor.armorPiece = "Head";
            armor.armorTier = 0;

        }
                }
            );

           // register item to the mod api
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), //item to derive from
        NameOverride = "Birtish Police Hat - WWM", //new item name with a suffix to assure it is globally unique
        NameToOrderByOverride = "HatPolice",
        DescriptionOverride = "Hat.", //new item description
        CategoryOverride = ModAPI.FindCategory("WWM"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("Hats/BritPoliceHatThumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Hats/BritPoliceHat.png"); //get the SpriteRenderer and replace its sprite with a custom one
            Instance.FixColliders();
            ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

            armor.stabResistance = 0f;
            armor.armorPiece = "Head";
            armor.armorTier = 0;

        }
                }
            );

            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), //item to derive from
        NameOverride = "Brown Cowboy Hat - WWM", //new item name with a suffix to assure it is globally unique
	NameToOrderByOverride = "Hat2",
        DescriptionOverride = "Hat.", //new item description
        CategoryOverride = ModAPI.FindCategory("WWM"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("Hats/HatBrownThumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Hats/HatBrown.png"); //get the SpriteRenderer and replace its sprite with a custom one
            Instance.FixColliders();
            ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

            armor.stabResistance = 0f;
            armor.armorPiece = "Head";
            armor.armorTier = 0;

        }
                }
            );

            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), //item to derive from
        NameOverride = " Dark Brown Cowboy Hat - WWM", //new item name with a suffix to assure it is globally unique
	NameToOrderByOverride = "Hat3",
        DescriptionOverride = "Hat.", //new item description
        CategoryOverride = ModAPI.FindCategory("WWM"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("Hats/HatDarkBrownThumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Hats/HatDarkBrown.png"); //get the SpriteRenderer and replace its sprite with a custom one
            Instance.FixColliders();
            ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

            armor.stabResistance = 0f;
            armor.armorPiece = "Head";
            armor.armorTier = 0;

        }
                }
            );

            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), //item to derive from
        NameOverride = "Redish Brown Cowboy Hat - WWM", //new item name with a suffix to assure it is globally unique
	NameToOrderByOverride = "Hat4",
        DescriptionOverride = "Hat.", //new item description
        CategoryOverride = ModAPI.FindCategory("WWM"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("Hats/HatRedBrownThumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Hats/HatRedBrown.png"); //get the SpriteRenderer and replace its sprite with a custom one
            Instance.FixColliders();
            ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

            armor.stabResistance = 0f;
            armor.armorPiece = "Head";
            armor.armorTier = 0;

        }
                }
            );

          ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), //item to derive from
        NameOverride = "Dark Gray Flat Cap - WWM", //new item name with a suffix to assure it is globally unique
	NameToOrderByOverride = "Hat5",
        DescriptionOverride = "Hat.", //new item description
        CategoryOverride = ModAPI.FindCategory("WWM"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("Hats/GrayFlatCapThumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Hats/GrayFlatCap.png"); //get the SpriteRenderer and replace its sprite with a custom one
            Instance.FixColliders();
            ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

            armor.stabResistance = 0f;
            armor.armorPiece = "Head";
            armor.armorTier = 0;

        }
                }
            );

         ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), //item to derive from
        NameOverride = "Black Flat Cap - WWM", //new item name with a suffix to assure it is globally unique
	NameToOrderByOverride = "Hat6",
        DescriptionOverride = "Hat.", //new item description
        CategoryOverride = ModAPI.FindCategory("WWM"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("Hats/BlackFlatCapThumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Hats/BlackFlatCap.png"); //get the SpriteRenderer and replace its sprite with a custom one
            Instance.FixColliders();
            ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

            armor.stabResistance = 0f;
            armor.armorPiece = "Head";
            armor.armorTier = 0;

        }
                }
            );

         ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), //item to derive from
        NameOverride = "Tan Plaid Flat Cap - WWM", //new item name with a suffix to assure it is globally unique
	NameToOrderByOverride = "Hat7",
        DescriptionOverride = "Hat.", //new item description
        CategoryOverride = ModAPI.FindCategory("WWM"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("Hats/TanPlaidFlatCapThumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Hats/TanPlaidFlatCap.png"); //get the SpriteRenderer and replace its sprite with a custom one
            Instance.FixColliders();
            ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

            armor.stabResistance = 0f;
            armor.armorPiece = "Head";
            armor.armorTier = 0;

        }
                }
            );

         ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), //item to derive from
        NameOverride = "Ivy Plaid Flat Cap - WWM", //new item name with a suffix to assure it is globally unique
	NameToOrderByOverride = "Hat8",
        DescriptionOverride = "Hat.", //new item description
        CategoryOverride = ModAPI.FindCategory("WWM"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("Hats/IvyPlaidFlatCapThumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Hats/IvyPlaidFlatCap.png"); //get the SpriteRenderer and replace its sprite with a custom one
            Instance.FixColliders();
            ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

            armor.stabResistance = 0f;
            armor.armorPiece = "Head";
            armor.armorTier = 0;

        }
                }
            );

         ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), //item to derive from
        NameOverride = "Maroon Flat Cap - WWM", //new item name with a suffix to assure it is globally unique
	NameToOrderByOverride = "Hat9",
        DescriptionOverride = "Hat.", //new item description
        CategoryOverride = ModAPI.FindCategory("WWM"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("Hats/MaroonFlatCapThumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Hats/MaroonFlatCap.png"); //get the SpriteRenderer and replace its sprite with a custom one
            Instance.FixColliders();
            ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

            armor.stabResistance = 0f;
            armor.armorPiece = "Head";
            armor.armorTier = 0;

        }
                }
            );

         ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), //item to derive from
        NameOverride = "White and Orange Plaid Flat Cap - WWM", //new item name with a suffix to assure it is globally unique
	NameToOrderByOverride = "Hat10",
        DescriptionOverride = "Hat.", //new item description
        CategoryOverride = ModAPI.FindCategory("WWM"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("Hats/WhiteOrangeFlatCapThumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Hats/WhiteOrangeFlatCap.png"); //get the SpriteRenderer and replace its sprite with a custom one
            Instance.FixColliders();
            ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

            armor.stabResistance = 0f;
            armor.armorPiece = "Head";
            armor.armorTier = 0;

        }
                }
            );

         ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), //item to derive from
        NameOverride = "Green and Yellow Plaid Flat Cap - WWM", //new item name with a suffix to assure it is globally unique
	NameToOrderByOverride = "Hat11",
        DescriptionOverride = "Hat.", //new item description
        CategoryOverride = ModAPI.FindCategory("WWM"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("Hats/GreenYellowFlatCapThumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Hats/GreenYellowFlatCap.png"); //get the SpriteRenderer and replace its sprite with a custom one
            Instance.FixColliders();
            ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

            armor.stabResistance = 0f;
            armor.armorPiece = "Head";
            armor.armorTier = 0;

        }
                }
            );

         ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), //item to derive from
        NameOverride = "Gray and Red Plaid Flat Cap - WWM", //new item name with a suffix to assure it is globally unique
	NameToOrderByOverride = "Hat12",
        DescriptionOverride = "Hat.", //new item description
        CategoryOverride = ModAPI.FindCategory("WWM"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("Hats/GrayRedFlatCapThumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Hats/GrayRedFlatCap.png"); //get the SpriteRenderer and replace its sprite with a custom one
            Instance.FixColliders();
            ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

            armor.stabResistance = 0f;
            armor.armorPiece = "Head";
            armor.armorTier = 0;

        }
                }
            );

         ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), //item to derive from
        NameOverride = "Dark Blue Plaid Flat Cap - WWM", //new item name with a suffix to assure it is globally unique
	NameToOrderByOverride = "Hat13",
        DescriptionOverride = "Hat.", //new item description
        CategoryOverride = ModAPI.FindCategory("WWM"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("Hats/DarkBlueFlatCapThumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Hats/DarkBlueFlatCap.png"); //get the SpriteRenderer and replace its sprite with a custom one
            Instance.FixColliders();
            ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

            armor.stabResistance = 0f;
            armor.armorPiece = "Head";
            armor.armorTier = 0;

        }
                }
            );

         ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"), //item to derive from
        NameOverride = "Union Cap - WWM", //new item name with a suffix to assure it is globally unique
	NameToOrderByOverride = "Hat14",
        DescriptionOverride = "Hat.", //new item description
        CategoryOverride = ModAPI.FindCategory("WWM"), //new item category
        ThumbnailOverride = ModAPI.LoadSprite("Hats/UnionCapThumb.png"), //new item thumbnail (relative path)
        AfterSpawn = (Instance) => //all code in the AfterSpawn delegate will be executed when the item is spawned
        {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Hats/UnionCap.png"); //get the SpriteRenderer and replace its sprite with a custom one
            Instance.FixColliders();
            ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

            armor.stabResistance = 0f;
            armor.armorPiece = "Head";
            armor.armorTier = 0;

        }
                }
            );


ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable(""),
                    NameOverride = "",
                    NameToOrderByOverride = "2",
                    DescriptionOverride = "",
                    CategoryOverride = ModAPI.FindCategory("WWM"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite(".png", 1.6f);
                        Instance.FixColliders();
                    }
                }
            );


             ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                 NameOverride = "Henry Rifle - WWM",
                 NameToOrderByOverride = "2",
                 DescriptionOverride = "rifle",
                 CategoryOverride = ModAPI.FindCategory("WWM"),
                 ThumbnailOverride = ModAPI.LoadSprite("HenryRifleThumb.png", 5f),
                 AfterSpawn = (Instance) =>
                 {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("HenryRifle.png", 1.6f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                     customCartridge.name = "9mm";
                     customCartridge.Damage *= 3f;
                     customCartridge.StartSpeed *= 2.5f;
                     customCartridge.PenetrationRandomAngleMultiplier *= 0f;
                     customCartridge.Recoil *= 2f;
                     customCartridge.ImpactForce *= 2f;
                     firearm.Cartridge = customCartridge;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("HenryRifle.mp3"),
                     };
                 }
             }
             ); ;

ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                 NameOverride = "Winchester Model 1886 - WWM",
                 NameToOrderByOverride = "3",
                 DescriptionOverride = "a rifle",
                 CategoryOverride = ModAPI.FindCategory("WWM"),
                 ThumbnailOverride = ModAPI.LoadSprite("Winchester1886Thumb.png", 5f),
                 AfterSpawn = (Instance) =>
                 {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Winchester1886.png", 1.6f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                     customCartridge.name = "9mm";
                     customCartridge.Damage *= 3f;
                     customCartridge.StartSpeed *= 2.5f;
                     customCartridge.PenetrationRandomAngleMultiplier *= 0f;
                     customCartridge.Recoil *= 2f;
                     customCartridge.ImpactForce *= 3f;
                     firearm.Cartridge = customCartridge;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("Winchester1886.mp3"),
                     };
                 }
             }
             ); ;

ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                 NameOverride = "Springfeild Model 1892 - WWM",
                 NameToOrderByOverride = "4",
                 DescriptionOverride = "bolt action rifle",
                 CategoryOverride = ModAPI.FindCategory("WWM"),
                 ThumbnailOverride = ModAPI.LoadSprite("SpringFeild1892Thumb.png", 5f),
                 AfterSpawn = (Instance) =>
                 {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SpringFeild1892.png", 1.6f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                     customCartridge.name = "9mm";
                     customCartridge.Damage *= 4f;
                     customCartridge.StartSpeed *= 3f;
                     customCartridge.PenetrationRandomAngleMultiplier *= 0f;
                     customCartridge.Recoil *= 3f;
                     customCartridge.ImpactForce *= 2f;
                     firearm.Cartridge = customCartridge;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("SpringFeild1892.mp3"),
                     };
                 }
             }
             ); ;

ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("Shotgun"),
                 NameOverride = "Remington Model 1889 - WWM",
                 NameToOrderByOverride = "5",
                 DescriptionOverride = "old double barrel shotgun",
                 CategoryOverride = ModAPI.FindCategory("WWM"),
                 ThumbnailOverride = ModAPI.LoadSprite("Remington1889Thumb.png", 5f),
                 AfterSpawn = (Instance) =>
                 {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Remington1889.png", 1.6f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                     customCartridge.name = "9mm";
                     customCartridge.Damage *= 3f;
                     customCartridge.StartSpeed *= 1.5f;
                     customCartridge.PenetrationRandomAngleMultiplier *= 0f;
                     customCartridge.Recoil *= 4f;
                     customCartridge.ImpactForce *= 3f;
                     firearm.Cartridge = customCartridge;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("Remington1889.mp3"),
                     };
                 }
             }
             ); ;

ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("Revolver"),
                 NameOverride = "Colt Model 1851 Navy Revolver",
                 NameToOrderByOverride = "6",
                 DescriptionOverride = "Gun",
                 CategoryOverride = ModAPI.FindCategory("WWM"),
                 ThumbnailOverride = ModAPI.LoadSprite("ColtNavyThumb.png", 5f),
                 AfterSpawn = (Instance) =>
                 {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ColtNavy.png", 1f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                     customCartridge.name = "9mm";
                     customCartridge.Damage *= 3f;
                     customCartridge.StartSpeed *= 2f;
                     customCartridge.PenetrationRandomAngleMultiplier *= 0f;
                     customCartridge.Recoil *= 4f;
                     customCartridge.ImpactForce *= 3f;
                     firearm.Cartridge = customCartridge;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("ColtArmy.mp3"),
                     };
                 }
             }
             ); ;

ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("Revolver"),
                 NameOverride = "Colt Model 1883",
                 NameToOrderByOverride = "6",
                 DescriptionOverride = "Gun",
                 CategoryOverride = ModAPI.FindCategory("WWM"),
                 ThumbnailOverride = ModAPI.LoadSprite("ColtArmyThumb.png", 5f),
                 AfterSpawn = (Instance) =>
                 {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("ColtArmy.png", 1f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                     customCartridge.name = "9mm";
                     customCartridge.Damage *= 3f;
                     customCartridge.StartSpeed *= 2f;
                     customCartridge.PenetrationRandomAngleMultiplier *= 0f;
                     customCartridge.Recoil *= 4f;
                     customCartridge.ImpactForce *= 3f;
                     firearm.Cartridge = customCartridge;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("ColtArmy.mp3"),
                     };
                 }
             }
             ); ;

ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("Revolver"),
                 NameOverride = "Smith & Wesson Model 3",
                 NameToOrderByOverride = "7",
                 DescriptionOverride = "Gun",
                 CategoryOverride = ModAPI.FindCategory("WWM"),
                 ThumbnailOverride = ModAPI.LoadSprite("SmithModel3Thumb.png", 5f),
                 AfterSpawn = (Instance) =>
                 {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SmithModel3.png", 1f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                     customCartridge.name = "9mm";
                     customCartridge.Damage *= 3f;
                     customCartridge.StartSpeed *= 2f;
                     customCartridge.PenetrationRandomAngleMultiplier *= 0f;
                     customCartridge.Recoil *= 4f;
                     customCartridge.ImpactForce *= 3f;
                     firearm.Cartridge = customCartridge;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("ColtArmy.mp3"),
                     };
                 }
             }
             ); ;

ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("Revolver"),
                 NameOverride = "LeMat Revolver",
                 NameToOrderByOverride = "8",
                 DescriptionOverride = "Gun",
                 CategoryOverride = ModAPI.FindCategory("WWM"),
                 ThumbnailOverride = ModAPI.LoadSprite("LeMatRevolverThumb.png", 5f),
                 AfterSpawn = (Instance) =>
                 {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("LeMatRevolver.png", 1f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                     customCartridge.name = "9mm";
                     customCartridge.Damage *= 3f;
                     customCartridge.StartSpeed *= 2f;
                     customCartridge.PenetrationRandomAngleMultiplier *= 0f;
                     customCartridge.Recoil *= 4f;
                     customCartridge.ImpactForce *= 3f;
                     firearm.Cartridge = customCartridge;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("ColtArmy.mp3"),
                     };
                 }
             }
             ); ;

ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable(""),
                 NameOverride = "AR-15 Springfeild -  OTG",
                 NameToOrderByOverride = "8",
                 DescriptionOverride = "a varient of the ar15",
                 CategoryOverride = ModAPI.FindCategory("OTG"),
                 ThumbnailOverride = ModAPI.LoadSprite("AR15SpringThumb.png", 5f),
                 AfterSpawn = (Instance) =>
                 {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AR15Spring.png", 1.6f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                     customCartridge.name = "9mm";
                     customCartridge.Damage *= 3f;
                     customCartridge.StartSpeed *= 1.5f;
                     customCartridge.PenetrationRandomAngleMultiplier *= 0f;
                     customCartridge.Recoil *= 2f;
                     customCartridge.ImpactForce *= 3f;
                     firearm.Cartridge = customCartridge;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("AR15Spring.wav"),
                     };
                 }
             }
             ); ;

ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable(""),
                 NameOverride = "M4 Tactical -  OTG",
                 NameToOrderByOverride = "9",
                 DescriptionOverride = "m4 but cooler",
                 CategoryOverride = ModAPI.FindCategory("OTG"),
                 ThumbnailOverride = ModAPI.LoadSprite("M4TACThumb.png", 5f),
                 AfterSpawn = (Instance) =>
                 {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("M4TAC.png", 1.6f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                     customCartridge.name = "9mm";
                     customCartridge.Damage *= 4f;
                     customCartridge.StartSpeed *= 3f;
                     customCartridge.PenetrationRandomAngleMultiplier *= 0f;
                     customCartridge.Recoil *= 4f;
                     customCartridge.ImpactForce *= 4f;
                     firearm.Cartridge = customCartridge;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("M4TAC.wav"),
                     };
                 }
             }
             ); ;



             ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable(""),
                 NameOverride = "M4 - OTG",
                 NameToOrderByOverride = "10",
                 DescriptionOverride = "gods gun",
                 CategoryOverride = ModAPI.FindCategory("OTG"),
                 ThumbnailOverride = ModAPI.LoadSprite("M4Thumb.png", 5f),
                 AfterSpawn = (Instance) =>
                 {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("M4.png", 1.4f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                     customCartridge.name = "9mm";
                     customCartridge.Damage *= 4f;
                     customCartridge.StartSpeed *= 1.5f;
                     customCartridge.PenetrationRandomAngleMultiplier *= 0f;
                     customCartridge.Recoil *= 3f;
                     customCartridge.ImpactForce *= 4f;
                     firearm.Cartridge = customCartridge;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("M4.wav"),
                     };
                 }
             }
             ); ;

             ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable(""),
                 NameOverride = "AK Sawed - OTG",
                 NameToOrderByOverride = "11",
                 DescriptionOverride = "revoing the stock seem pretty much stupid but it looks cool so ok",
                 CategoryOverride = ModAPI.FindCategory("OTG"),
                 ThumbnailOverride = ModAPI.LoadSprite("SawedAKThumb.png", 5f),
                 AfterSpawn = (Instance) =>
                 {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SawedAK.png", 1.4f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                     customCartridge.name = "9mm";
                     customCartridge.Damage *= 5f;
                     customCartridge.StartSpeed *= 1.5f;
                     customCartridge.PenetrationRandomAngleMultiplier *= 0f;
                     customCartridge.Recoil *= 4f;
                     customCartridge.ImpactForce *= 4f;
                     firearm.Cartridge = customCartridge;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("SawedAK.wav"),
                     };
                 }
             }
             ); ;

ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable(""),
                 NameOverride = "FN FAL - OTG",
                 NameToOrderByOverride = "12",
                 DescriptionOverride = "a gun that i think is irish",
                 CategoryOverride = ModAPI.FindCategory("OTG"),
                 ThumbnailOverride = ModAPI.LoadSprite("FNFALThumb.png", 5f),
                 AfterSpawn = (Instance) =>
                 {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("FNFAL.png", 1.4f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                     customCartridge.name = "9mm";
                     customCartridge.Damage *= 4f;
                     customCartridge.StartSpeed *= 1.5f;
                     customCartridge.PenetrationRandomAngleMultiplier *= 0f;
                     customCartridge.Recoil *= 4f;
                     customCartridge.ImpactForce *= 6f;
                     firearm.Cartridge = customCartridge;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("FNFAL.mp3"),
                     };
                 }
             }
             ); ;

ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable(""),
                 NameOverride = "FN FAL Sniper - OTG",
                 NameToOrderByOverride = "13",
                 DescriptionOverride = "a gun that i think is irish with a big scope",
                 CategoryOverride = ModAPI.FindCategory("OTG"),
                 ThumbnailOverride = ModAPI.LoadSprite("FALSniperThumb.png", 5f),
                 AfterSpawn = (Instance) =>
                 {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("FALSniper.png", 1.4f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                     customCartridge.name = "9mm";
                     customCartridge.Damage *= 7f;
                     customCartridge.StartSpeed *= 1.5f;
                     customCartridge.PenetrationRandomAngleMultiplier *= 0f;
                     customCartridge.Recoil *= 7f;
                     customCartridge.ImpactForce *= 8f;
                     firearm.Cartridge = customCartridge;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("FNFAL.mp3"),
                     };
                 }
             }
             ); ;


             ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable(""),
                 NameOverride = "Auto Revolver - OTG",
                 NameToOrderByOverride = "14",
                 DescriptionOverride = "dont even ask",
                 CategoryOverride = ModAPI.FindCategory("OTG"),
                 ThumbnailOverride = ModAPI.LoadSprite("AutoRevThumb.png", 5f),
                 AfterSpawn = (Instance) =>
                 {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AutoRev.png", 1.4f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                     customCartridge.name = "9mm";
                     customCartridge.Damage *= 5f;
                     customCartridge.StartSpeed *= 1.5f;
                     customCartridge.PenetrationRandomAngleMultiplier *= 0f;
                     customCartridge.Recoil *= 5f;
                     customCartridge.ImpactForce *= 6f;
                     firearm.Cartridge = customCartridge;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("AutoRev.wav"),
                     };
                 }
             }
             ); ;

ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable(""),
                 NameOverride = "Golfclub Rifle - OTG",
                 NameToOrderByOverride = "15",
                 DescriptionOverride = "you never supsect the golfclub",
                 CategoryOverride = ModAPI.FindCategory("OTG"),
                 ThumbnailOverride = ModAPI.LoadSprite("GolfclubThumb.png", 5f),
                 AfterSpawn = (Instance) =>
                 {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Golfclub.png", 1.4f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                     customCartridge.name = "9mm";
                     customCartridge.Damage *= 50f;
                     customCartridge.StartSpeed *= 1.5f;
                     customCartridge.PenetrationRandomAngleMultiplier *= 0f;
                     customCartridge.Recoil *= 15f;
                     customCartridge.ImpactForce *= 25f;
                     firearm.Cartridge = customCartridge;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("Golfclub.wav"),
                     };
                 }
             }
             ); ;

ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable(""),
                 NameOverride = "DB Shotgun Modified - OTG",
                 NameToOrderByOverride = "16",
                 DescriptionOverride = "grandpa you're so tactical",
                 CategoryOverride = ModAPI.FindCategory("OTG"),
                 ThumbnailOverride = ModAPI.LoadSprite("MusketThumb.png", 5f),
                 AfterSpawn = (Instance) =>
                 {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Musket.png", 1.8f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                     customCartridge.name = "9mm";
                     customCartridge.Damage *= 6f;
                     customCartridge.StartSpeed *= 0.5f;
                     customCartridge.PenetrationRandomAngleMultiplier *= 0f;
                     customCartridge.Recoil *= 8f;
                     customCartridge.ImpactForce *= 5f;
                     firearm.Cartridge = customCartridge;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("Musket.wav"),
                     };
                 }
             }
             ); ;

ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable(""),
                 NameOverride = "EAA Churchill Shotgun - OTG",
                 NameToOrderByOverride = "17",
                 DescriptionOverride = "based off of the EAA Akkar Churchill Shotgun",
                 CategoryOverride = ModAPI.FindCategory("OTG"),
                 ThumbnailOverride = ModAPI.LoadSprite("ChurchillThumb.png", 5f),
                 AfterSpawn = (Instance) =>
                 {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Churchill.png", 1.8f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                     customCartridge.name = "9mm";
                     customCartridge.Damage *= 4f;
                     customCartridge.StartSpeed *= 0.5f;
                     customCartridge.PenetrationRandomAngleMultiplier *= 0f;
                     customCartridge.Recoil *= 8f;
                     customCartridge.ImpactForce *= 3f;
                     firearm.Cartridge = customCartridge;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("Churchill.wav"),
                     };
                 }
             }
             ); ;

ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable(""),
                 NameOverride = "AA-12 - OTG",
                 NameToOrderByOverride = "18",
                 DescriptionOverride = "probably the ugliest gun in the world but it's still loved",
                 CategoryOverride = ModAPI.FindCategory("OTG"),
                 ThumbnailOverride = ModAPI.LoadSprite("AA12Thumb.png", 5f),
                 AfterSpawn = (Instance) =>
                 {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AA12.png", 1.8f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                     customCartridge.name = "9mm";
                     customCartridge.Damage *= 4f;
                     customCartridge.StartSpeed *= 0.5f;
                     customCartridge.PenetrationRandomAngleMultiplier *= 0f;
                     customCartridge.Recoil *= 4f;
                     customCartridge.ImpactForce *= 3f;
                     firearm.Cartridge = customCartridge;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("AA12.wav"),
                     };
                 }
             }
             ); ;

             ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable(""),
                 NameOverride = "M4A1 - OTG",
                 NameToOrderByOverride = "19",
                 DescriptionOverride = "classic american gun",
                 CategoryOverride = ModAPI.FindCategory("OTG"),
                 ThumbnailOverride = ModAPI.LoadSprite("M4A1Thumb.png", 5f),
                 AfterSpawn = (Instance) =>
                 {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("M4A1.png", 3.2f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                     customCartridge.name = "9mm";
                     customCartridge.Damage *= 3f;
                     customCartridge.StartSpeed *= 1.5f;
                     customCartridge.PenetrationRandomAngleMultiplier *= 0f;
                     customCartridge.Recoil *= 3f;
                     customCartridge.ImpactForce *= 3f;
                     firearm.Cartridge = customCartridge;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("M4A1.mp3"),
                     };
                 }
             }
             ); ;

ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable(""),
                 NameOverride = "Ruger Mini 14 -  OTG",
                 NameToOrderByOverride = "20",
                 DescriptionOverride = "semi auto rifle",
                 CategoryOverride = ModAPI.FindCategory("OTG"),
                 ThumbnailOverride = ModAPI.LoadSprite("M14Thumb.png", 5f),
                 AfterSpawn = (Instance) =>
                 {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("M14.png", 3.4f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                     customCartridge.name = "9mm";
                     customCartridge.Damage *= 3f;
                     customCartridge.StartSpeed *= 1.5f;
                     customCartridge.PenetrationRandomAngleMultiplier *= 0f;
                     customCartridge.Recoil *= 4f;
                     customCartridge.ImpactForce *= 4f;
                     firearm.Cartridge = customCartridge;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("M14.mp3"),
                     };
                 }
             }
             ); ;

ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable(""),
                 NameOverride = "SKS - OTG",
                 NameToOrderByOverride = "22",
                 DescriptionOverride = "semi auto rifle",
                 CategoryOverride = ModAPI.FindCategory("OTG"),
                 ThumbnailOverride = ModAPI.LoadSprite("SKSThumbnail.png", 5f),
                 AfterSpawn = (Instance) =>
                 {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SKS.png", 7f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                     customCartridge.name = "9mm";
                     customCartridge.Damage *= 3f;
                     customCartridge.StartSpeed *= 1.5f;
                     customCartridge.PenetrationRandomAngleMultiplier *= 0f;
                     customCartridge.Recoil *= 4f;
                     customCartridge.ImpactForce *= 4f;
                     firearm.Cartridge = customCartridge;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("SKS.mp3"),
                     };
                 }
             }
             ); ;

ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable(""),
                 NameOverride = "AK-74 -  OTG",
                 NameToOrderByOverride = "21",
                 DescriptionOverride = "i think its like a lighter version of the ak 47",
                 CategoryOverride = ModAPI.FindCategory("OTG"),
                 ThumbnailOverride = ModAPI.LoadSprite("AK74Thumb.png", 5f),
                 AfterSpawn = (Instance) =>
                 {
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AK74.png", 3.6f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                     customCartridge.name = "9mm";
                     customCartridge.Damage *= 3f;
                     customCartridge.StartSpeed *= 1.5f;
                     customCartridge.PenetrationRandomAngleMultiplier *= 0f;
                     customCartridge.Recoil *= 5f;
                     customCartridge.ImpactForce *= 2f;
                     firearm.Cartridge = customCartridge;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("AK74.mp3"),
                     };
                 }
             }
             ); ;

            ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable(""),
                NameOverride = "M4A1 Grenadier - ZS",
                NameToOrderByOverride = "M4A1 Grenadier - ZS",
                DescriptionOverride = "ratatatattatatatatatatatat",
                CategoryOverride = ModAPI.FindCategory("Firearms"),
                ThumbnailOverride = ModAPI.LoadSprite("M4A1view.png", 5f),
                AfterSpawn = (Instance) =>
            {
                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("M4A1.png", 1.6f);
                    var firearm = Instance.GetComponent<FirearmBehaviour>();
                    Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                    customCartridge.name = "9mm";
                    customCartridge.Damage *= 3f;
                    customCartridge.StartSpeed *= 1f;
                    customCartridge.PenetrationRandomAngleMultiplier *= 0f;
                    customCartridge.Recoil *= 03f;
                    customCartridge.ImpactForce *= 3f;
                    firearm.Cartridge = customCartridge;
                    Instance.FixColliders();
                    firearm.ShotSounds = new AudioClip[]
                    {
                            ModAPI.LoadSound("M4A1shoot.mp3"),
                    };

                }
            }
            ); ;

            ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable(""),
                NameOverride = "M4A1 ACOG - ZS",
                NameToOrderByOverride = "M4A1 ACOG - ZS",
                DescriptionOverride = ".",
                CategoryOverride = ModAPI.FindCategory("Firearms"),
                ThumbnailOverride = ModAPI.LoadSprite("M4A1ACOGview.png", 5f),
                AfterSpawn = (Instance) =>
            {
                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("M4A1ACOG.png", 1.6f);
                    var firearm = Instance.GetComponent<FirearmBehaviour>();
                    Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                    customCartridge.name = "9mm";
                    customCartridge.Damage *= 3f;
                    customCartridge.StartSpeed *= 1f;
                    customCartridge.PenetrationRandomAngleMultiplier *= 0f;
                    customCartridge.Recoil *= 07f;
                    customCartridge.ImpactForce *= 5f;
                    firearm.Cartridge = customCartridge;
                    Instance.FixColliders();
                    firearm.ShotSounds = new AudioClip[]
                    {
                            ModAPI.LoadSound("M4A1ACOGshoot.mp3"),
                    };

                }
            }
            ); ;

            ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable(""),
                NameOverride = "M4A1 - ZS",
                NameToOrderByOverride = "M4A1 - ZS",
                DescriptionOverride = "dayz",
                CategoryOverride = ModAPI.FindCategory("Firearms"),
                ThumbnailOverride = ModAPI.LoadSprite("M4A1Handleview.png", 5f),
                AfterSpawn = (Instance) =>
            {
                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("M4A1Handle.png", 1.6f);
                    var firearm = Instance.GetComponent<FirearmBehaviour>();
                    Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                    customCartridge.name = "9mm";
                    customCartridge.Damage *= 3f;
                    customCartridge.StartSpeed *= 1f;
                    customCartridge.PenetrationRandomAngleMultiplier *= 0f;
                    customCartridge.Recoil *= 03f;
                    customCartridge.ImpactForce *= 3f;
                    firearm.Cartridge = customCartridge;
                    Instance.FixColliders();
                    firearm.ShotSounds = new AudioClip[]
                    {
                            ModAPI.LoadSound("M4A1Handleshoot.mp3"),
                    };

                }
            }
            ); ;


            ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable(""),
                NameOverride = "AKM - ZS",
                NameToOrderByOverride = "AKM - ZS",
                DescriptionOverride = "kalashnikov",
                CategoryOverride = ModAPI.FindCategory("Firearms"),
                ThumbnailOverride = ModAPI.LoadSprite("AKMview.png", 5f),
                AfterSpawn = (Instance) =>
            {
                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AKM.png", 1.6f);
                    var firearm = Instance.GetComponent<FirearmBehaviour>();
                    Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                    customCartridge.name = "9mm";
                    customCartridge.Damage *= 3f;
                    customCartridge.StartSpeed *= 1f;
                    customCartridge.PenetrationRandomAngleMultiplier *= 0f;
                    customCartridge.Recoil *= 3f;
                    customCartridge.ImpactForce *= 5f;
                    firearm.Cartridge = customCartridge;
                    Instance.FixColliders();
                    firearm.ShotSounds = new AudioClip[]
                    {
                              ModAPI.LoadSound("AKMshoot.mp3"),
                            };

                        }
                    }
                    ); ;

            ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable(""),
                NameOverride = "Silenced AKM - ZS",
                NameToOrderByOverride = "Silenced AKM - ZS",
                DescriptionOverride = "akm but quiter",
                CategoryOverride = ModAPI.FindCategory("Firearms"),
                ThumbnailOverride = ModAPI.LoadSprite("SilencedAkmview.png", 5f),
                AfterSpawn = (Instance) =>
            {
                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SilencedAkm.png", 1.6f);
                    var firearm = Instance.GetComponent<FirearmBehaviour>();
                    Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                    customCartridge.name = "9mm";
                    customCartridge.Damage *= 4f;
                    customCartridge.StartSpeed *= 1f;
                    customCartridge.PenetrationRandomAngleMultiplier *= 0f;
                    customCartridge.Recoil *= 5f;
                    customCartridge.ImpactForce *= 4f;
                    firearm.Cartridge = customCartridge;
                    Instance.FixColliders();
                    firearm.ShotSounds = new AudioClip[]
                    {
                              ModAPI.LoadSound("SilencedAkmshoot.mp3"),
                            };

                        }
                    }
                    ); ;


            ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable(""),
                NameOverride = "Remington 870 - ZS",
                NameToOrderByOverride = "Remington 870 - ZS",
                DescriptionOverride = "Some gun that came out in 1950 i think",
                CategoryOverride = ModAPI.FindCategory("Firearms"),
                ThumbnailOverride = ModAPI.LoadSprite("Remington870view.png", 5f),
                AfterSpawn = (Instance) =>
            {
                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Remington870.png", 1.6f);
                    var firearm = Instance.GetComponent<FirearmBehaviour>();
                    Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                    customCartridge.name = "12Guage";
                    customCartridge.Damage *= 3f;
                    customCartridge.StartSpeed *= 1f;
                    customCartridge.PenetrationRandomAngleMultiplier *= 0f;
                    customCartridge.Recoil *= 4f;
                    customCartridge.ImpactForce *= 3f;
                    firearm.Cartridge = customCartridge;
                    Instance.FixColliders();
                    firearm.ShotSounds = new AudioClip[]
                    {
                              ModAPI.LoadSound("Remington870shoot.mp3"),
                            };

                        }
                    }
                    ); ;
	    
            ModAPI.Register(
            new Modification()
            {
                OriginalItem = ModAPI.FindSpawnable(""),
                NameOverride = "Mosin - ZS",
                NameToOrderByOverride = "Mosin - ZS",
                DescriptionOverride = "old gun from russialand",
                CategoryOverride = ModAPI.FindCategory("Firearms"),
                ThumbnailOverride = ModAPI.LoadSprite("Mosinview.png", 5f),
                AfterSpawn = (Instance) =>
            {
                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Mosin.png", 1.6f);
                    var firearm = Instance.GetComponent<FirearmBehaviour>();
                    Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                    customCartridge.name = "9mm";
                    customCartridge.Damage *= 6f;
                    customCartridge.StartSpeed *= 1f;
                    customCartridge.PenetrationRandomAngleMultiplier *= 0f;
                    customCartridge.Recoil *= 10f;
                    customCartridge.ImpactForce *= 6f;
                    firearm.Cartridge = customCartridge;
                    Instance.FixColliders();
                    firearm.ShotSounds = new AudioClip[]
                    {
                              ModAPI.LoadSound("Mosinshoot.mp3"),
                            };

                        }
                    }
                    ); ;

                            ModAPI.Register(
                            new Modification()
                            {
                                OriginalItem = ModAPI.FindSpawnable("Assault Rifle"),
                                NameOverride = "",
                                NameToOrderByOverride = "AKS74U - ZS",
                                DescriptionOverride = ".",
                                CategoryOverride = ModAPI.FindCategory("Firearms"),
                                ThumbnailOverride = ModAPI.LoadSprite("AK74Uview.png", 5f),
                                AfterSpawn = (Instance) =>
                            {
                                    Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("AK74U.png", 1.6f);
                                    var firearm = Instance.GetComponent<FirearmBehaviour>();
                                    Cartridge customCartridge = ModAPI.FindCartridge("9mm");
                                    customCartridge.name = "9mm";
                                    customCartridge.Damage *= 2f;
                                    customCartridge.StartSpeed *= 1f;
                                    customCartridge.PenetrationRandomAngleMultiplier *= 0f;
                                    customCartridge.Recoil *= 1f;
                                    customCartridge.ImpactForce *= 3f;
                                    firearm.Cartridge = customCartridge;
                                    Instance.FixColliders();
                                    firearm.ShotSounds = new AudioClip[]
                                    {
                                              ModAPI.LoadSound("AK74Ushoot.mp3"),
                                            };

                                        }
                                    }
                                    ); ;


                                    ModAPI.Register(
                         new Modification()
                                    {
                                        OriginalItem = ModAPI.FindSpawnable(""),
                                        NameOverride = "m67",
                                        NameToOrderByOverride = "m67",
                                        DescriptionOverride = ".",
                                        CategoryOverride = ModAPI.FindCategory("Explosives"),
                                        ThumbnailOverride = ModAPI.LoadSprite("m67view.png", 5f),
                                        AfterSpawn = (Instance) =>
                                        {
                                            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("m67.png", 5f);
                                            Instance.FixColliders();
                                          }
                                      }
                                      ); ;


                                                                                                  ModAPI.Register(
                                                                                                  new Modification()
                                                                                                  {
                                                                                                      OriginalItem = ModAPI.FindSpawnable(""),
                                                                                                      NameOverride = "F1",
                                                                                                      NameToOrderByOverride = "F1",
                                                                                                      DescriptionOverride = ".",
                                                                                                      CategoryOverride = ModAPI.FindCategory("Explosives"),
                                                                                                      ThumbnailOverride = ModAPI.LoadSprite("F1view.png", 5f),
                                                                                                      AfterSpawn = (Instance) =>
                                                                                                      {
                                                                                                          Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("F1.png", 5f);
                                                                                                          Instance.FixColliders();
                                                                                                        }
                                                                                                    }
                                                                                                    ); ;

                                                                                                    ModAPI.Register(
                                                                             new Modification()
                                                                             {
                                                                                 OriginalItem = ModAPI.FindSpawnable("Human"),
                                                                                    NameOverride = "Civilian 1 - WWM",
                                                                                    NameToOrderByOverride = "Human1",
                                                                                    DescriptionOverride = "Civilian",
                                                                                    CategoryOverride = ModAPI.FindCategory("WWM"),
                                                                                    ThumbnailOverride = ModAPI.LoadSprite("Humans/Civilian1Thumb.png", 5f),
                                                                                    AfterSpawn = (Instance) =>
                                                                                    {
                                                                                        var skin = ModAPI.LoadTexture("Humans/Civilian1.png");
                                                                                        var flesh = ModAPI.LoadTexture("flesh.png");
                                                                                        var bone = ModAPI.LoadTexture("bone.png");

                                                                                        var person = Instance.GetComponent<PersonBehaviour>();

                                                                                        person.SetBodyTextures(skin, flesh, bone, 1);


                                                                                        person.SetBruiseColor(86, 62, 130);
                                                                                        person.SetSecondBruiseColor(154, 0, 7);
                                                                                        person.SetThirdBruiseColor(207, 206, 120);
                                                                                        person.SetRottenColour(202, 199, 104);
                                                                                        person.SetBloodColour(108, 0, 4);
                                                                                    }
                                                                             }
                                                                             ); ;


                                                                                                    ModAPI.Register(
                                                                             new Modification()
                                                                             {
                                                                                 OriginalItem = ModAPI.FindSpawnable("Human"),
                                                                                    NameOverride = "Civilian 2 - WWM",
									            NameToOrderByOverride = "Human2",
                                                                                    DescriptionOverride = "Civilian",
                                                                                    CategoryOverride = ModAPI.FindCategory("WWM"),
                                                                                    ThumbnailOverride = ModAPI.LoadSprite("Humans/Civilian2Thumb.png", 5f),
                                                                                    AfterSpawn = (Instance) =>
                                                                                    {
                                                                                        var skin = ModAPI.LoadTexture("Humans/Civilian2.png");
                                                                                        var flesh = ModAPI.LoadTexture("flesh.png");
                                                                                        var bone = ModAPI.LoadTexture("bone.png");

                                                                                        var person = Instance.GetComponent<PersonBehaviour>();

                                                                                        person.SetBodyTextures(skin, flesh, bone, 1);


                                                                                        person.SetBruiseColor(86, 62, 130);
                                                                                        person.SetSecondBruiseColor(154, 0, 7);
                                                                                        person.SetThirdBruiseColor(207, 206, 120);
                                                                                        person.SetRottenColour(202, 199, 104);
                                                                                        person.SetBloodColour(108, 0, 4);
                                                                                    }
                                                                             }
                                                                             ); ;

                        ModAPI.Register(
                                                                             new Modification()
                                                                             {
                                                                                 OriginalItem = ModAPI.FindSpawnable("Human"),
                                                                                    NameOverride = "Civilian 3 - WWM",
										    NameToOrderByOverride = "Human3",
                                                                                    DescriptionOverride = "Civilian",
                                                                                    CategoryOverride = ModAPI.FindCategory("WWM"),
                                                                                    ThumbnailOverride = ModAPI.LoadSprite("Humans/Civilian3Thumb.png", 5f),
                                                                                    AfterSpawn = (Instance) =>
                                                                                    {
                                                                                        var skin = ModAPI.LoadTexture("Humans/Civilian3.png");
                                                                                        var flesh = ModAPI.LoadTexture("flesh.png");
                                                                                        var bone = ModAPI.LoadTexture("bone.png");

                                                                                        var person = Instance.GetComponent<PersonBehaviour>();

                                                                                        person.SetBodyTextures(skin, flesh, bone, 1);


                                                                                        person.SetBruiseColor(86, 62, 130);
                                                                                        person.SetSecondBruiseColor(154, 0, 7);
                                                                                        person.SetThirdBruiseColor(207, 206, 120);
                                                                                        person.SetRottenColour(202, 199, 104);
                                                                                        person.SetBloodColour(108, 0, 4);
                                                                                    }
                                                                             }
                                                                             ); ;

 ModAPI.Register(
                                                                             new Modification()
                                                                             {
                                                                                 OriginalItem = ModAPI.FindSpawnable("Human"),
                                                                                    NameOverride = "Civilian 4 - WWM",
										    NameToOrderByOverride = "Human4",
                                                                                    DescriptionOverride = "Civilian",
                                                                                    CategoryOverride = ModAPI.FindCategory("WWM"),
                                                                                    ThumbnailOverride = ModAPI.LoadSprite("Humans/Civilian4Thumb.png", 5f),
                                                                                    AfterSpawn = (Instance) =>
                                                                                    {
                                                                                        var skin = ModAPI.LoadTexture("Humans/Civilian4.png");
                                                                                        var flesh = ModAPI.LoadTexture("flesh.png");
                                                                                        var bone = ModAPI.LoadTexture("bone.png");

                                                                                        var person = Instance.GetComponent<PersonBehaviour>();

                                                                                        person.SetBodyTextures(skin, flesh, bone, 1);


                                                                                        person.SetBruiseColor(86, 62, 130);
                                                                                        person.SetSecondBruiseColor(154, 0, 7);
                                                                                        person.SetThirdBruiseColor(207, 206, 120);
                                                                                        person.SetRottenColour(202, 199, 104);
                                                                                        person.SetBloodColour(108, 0, 4);
                                                                                    }
                                                                             }
                                                                             ); ;



ModAPI.Register(
                                                                             new Modification()
                                                                             {
                                                                                 OriginalItem = ModAPI.FindSpawnable("Human"),
                                                                                    NameOverride = "Civilian 5 - WWM",
										    NameToOrderByOverride = "Human5",
                                                                                    DescriptionOverride = "Civilian",
                                                                                    CategoryOverride = ModAPI.FindCategory("WWM"),
                                                                                    ThumbnailOverride = ModAPI.LoadSprite("Humans/Civilian5Thumb.png", 5f),
                                                                                    AfterSpawn = (Instance) =>
                                                                                    {
                                                                                        var skin = ModAPI.LoadTexture("Humans/Civilian5.png");
                                                                                        var flesh = ModAPI.LoadTexture("flesh.png");
                                                                                        var bone = ModAPI.LoadTexture("bone.png");

                                                                                        var person = Instance.GetComponent<PersonBehaviour>();

                                                                                        person.SetBodyTextures(skin, flesh, bone, 1);


                                                                                        person.SetBruiseColor(86, 62, 130);
                                                                                        person.SetSecondBruiseColor(154, 0, 7);
                                                                                        person.SetThirdBruiseColor(207, 206, 120);
                                                                                        person.SetRottenColour(202, 199, 104);
                                                                                        person.SetBloodColour(108, 0, 4);
                                                                                    }
                                                                             }
                                                                             ); ;

ModAPI.Register(
                                                                             new Modification()
                                                                             {
                                                                                 OriginalItem = ModAPI.FindSpawnable("Human"),
                                                                                    NameOverride = "Civilian 6 - WWM",
                                                                                    NameToOrderByOverride = "Human6",
                                                                                    DescriptionOverride = "Civilian",
                                                                                    CategoryOverride = ModAPI.FindCategory("WWM"),
                                                                                    ThumbnailOverride = ModAPI.LoadSprite("Humans/Civilian6Thumb.png", 5f),
                                                                                    AfterSpawn = (Instance) =>
                                                                                    {
                                                                                        var skin = ModAPI.LoadTexture("Humans/Civilian6.png");
                                                                                        var flesh = ModAPI.LoadTexture("flesh.png");
                                                                                        var bone = ModAPI.LoadTexture("bone.png");

                                                                                        var person = Instance.GetComponent<PersonBehaviour>();

                                                                                        person.SetBodyTextures(skin, flesh, bone, 1);


                                                                                        person.SetBruiseColor(86, 62, 130);
                                                                                        person.SetSecondBruiseColor(154, 0, 7);
                                                                                        person.SetThirdBruiseColor(207, 206, 120);
                                                                                        person.SetRottenColour(202, 199, 104);
                                                                                        person.SetBloodColour(108, 0, 4);
                                                                                    }
                                                                             }
                                                                             ); ;

ModAPI.Register(
                                                                             new Modification()
                                                                             {
                                                                                 OriginalItem = ModAPI.FindSpawnable("Human"),
                                                                                    NameOverride = "Civilian 7 - WWM",
										    NameToOrderByOverride = "Human7",
                                                                                    DescriptionOverride = "Civilian",
                                                                                    CategoryOverride = ModAPI.FindCategory("WWM"),
                                                                                    ThumbnailOverride = ModAPI.LoadSprite("Humans/Civilian7Thumb.png", 5f),
                                                                                    AfterSpawn = (Instance) =>
                                                                                    {
                                                                                        var skin = ModAPI.LoadTexture("Humans/Civilian7.png");
                                                                                        var flesh = ModAPI.LoadTexture("flesh.png");
                                                                                        var bone = ModAPI.LoadTexture("bone.png");

                                                                                        var person = Instance.GetComponent<PersonBehaviour>();

                                                                                        person.SetBodyTextures(skin, flesh, bone, 1);


                                                                                        person.SetBruiseColor(86, 62, 130);
                                                                                        person.SetSecondBruiseColor(154, 0, 7);
                                                                                        person.SetThirdBruiseColor(207, 206, 120);
                                                                                        person.SetRottenColour(202, 199, 104);
                                                                                        person.SetBloodColour(108, 0, 4);
                                                                                    }
                                                                             }
                                                                             ); ;

ModAPI.Register(
                                                                             new Modification()
                                                                             {
                                                                                 OriginalItem = ModAPI.FindSpawnable("Human"),
                                                                                    NameOverride = "Civilian 8 - WWM",
									     	    NameToOrderByOverride = "Human8",
                                                                                    DescriptionOverride = "Civilian",
                                                                                    CategoryOverride = ModAPI.FindCategory("WWM"),
                                                                                    ThumbnailOverride = ModAPI.LoadSprite("Humans/Civilian8Thumb.png", 5f),
                                                                                    AfterSpawn = (Instance) =>
                                                                                    {
                                                                                        var skin = ModAPI.LoadTexture("Humans/Civilian8.png");
                                                                                        var flesh = ModAPI.LoadTexture("flesh.png");
                                                                                        var bone = ModAPI.LoadTexture("bone.png");

                                                                                        var person = Instance.GetComponent<PersonBehaviour>();

                                                                                        person.SetBodyTextures(skin, flesh, bone, 1);


                                                                                        person.SetBruiseColor(86, 62, 130);
                                                                                        person.SetSecondBruiseColor(154, 0, 7);
                                                                                        person.SetThirdBruiseColor(207, 206, 120);
                                                                                        person.SetRottenColour(202, 199, 104);
                                                                                        person.SetBloodColour(108, 0, 4);
                                                                                    }
                                                                             }
                                                                             ); ;

ModAPI.Register(
                                                                             new Modification()
                                                                             {
                                                                                 OriginalItem = ModAPI.FindSpawnable("Human"),
                                                                                    NameOverride = "Civilian 9 - WWM",
										    NameToOrderByOverride = "Human9",
                                                                                    DescriptionOverride = "Civilian",
                                                                                    CategoryOverride = ModAPI.FindCategory("WWM"),
                                                                                    ThumbnailOverride = ModAPI.LoadSprite("Humans/Civ9Thumb.png", 5f),
                                                                                    AfterSpawn = (Instance) =>
                                                                                    {
                                                                                        var skin = ModAPI.LoadTexture("Humans/Civ9.png");
                                                                                        var flesh = ModAPI.LoadTexture("flesh.png");
                                                                                        var bone = ModAPI.LoadTexture("bone.png");

                                                                                        var person = Instance.GetComponent<PersonBehaviour>();

                                                                                        person.SetBodyTextures(skin, flesh, bone, 1);


                                                                                        person.SetBruiseColor(86, 62, 130);
                                                                                        person.SetSecondBruiseColor(154, 0, 7);
                                                                                        person.SetThirdBruiseColor(207, 206, 120);
                                                                                        person.SetRottenColour(202, 199, 104);
                                                                                        person.SetBloodColour(108, 0, 4);
                                                                                    }
                                                                             }
                                                                             ); ;

ModAPI.Register(
                                                                             new Modification()
                                                                             {
                                                                                 OriginalItem = ModAPI.FindSpawnable("Human"),
                                                                                    NameOverride = "Bartender - WWM",
										    NameToOrderByOverride = "HumanBarman",
                                                                                    DescriptionOverride = "Civilian",
                                                                                    CategoryOverride = ModAPI.FindCategory("WWM"),
                                                                                    ThumbnailOverride = ModAPI.LoadSprite("Humans/BarmanThumb.png", 5f),
                                                                                    AfterSpawn = (Instance) =>
                                                                                    {
                                                                                        var skin = ModAPI.LoadTexture("Humans/Barman.png");
                                                                                        var flesh = ModAPI.LoadTexture("flesh.png");
                                                                                        var bone = ModAPI.LoadTexture("bone.png");

                                                                                        var person = Instance.GetComponent<PersonBehaviour>();

                                                                                        person.SetBodyTextures(skin, flesh, bone, 1);


                                                                                        person.SetBruiseColor(86, 62, 130);
                                                                                        person.SetSecondBruiseColor(154, 0, 7);
                                                                                        person.SetThirdBruiseColor(207, 206, 120);
                                                                                        person.SetRottenColour(202, 199, 104);
                                                                                        person.SetBloodColour(108, 0, 4);
                                                                                    }
                                                                             }
                                                                             ); ;

ModAPI.Register(
                                                                             new Modification()
                                                                             {
                                                                                 OriginalItem = ModAPI.FindSpawnable("Human"),
                                                                                    NameOverride = "Lawman 1 - WWM",
										    NameToOrderByOverride = "HumanCop",
                                                                                    DescriptionOverride = "Law enforcement",
                                                                                    CategoryOverride = ModAPI.FindCategory("WWM"),
                                                                                    ThumbnailOverride = ModAPI.LoadSprite("Humans/Law1Thumb.png", 5f),
                                                                                    AfterSpawn = (Instance) =>
                                                                                    {
                                                                                        var skin = ModAPI.LoadTexture("Humans/Law1.png");
                                                                                        var flesh = ModAPI.LoadTexture("flesh.png");
                                                                                        var bone = ModAPI.LoadTexture("bone.png");

                                                                                        var person = Instance.GetComponent<PersonBehaviour>();

                                                                                        person.SetBodyTextures(skin, flesh, bone, 1);


                                                                                        person.SetBruiseColor(86, 62, 130);
                                                                                        person.SetSecondBruiseColor(154, 0, 7);
                                                                                        person.SetThirdBruiseColor(207, 206, 120);
                                                                                        person.SetRottenColour(202, 199, 104);
                                                                                        person.SetBloodColour(108, 0, 4);
                                                                                    }
                                                                             }
                                                                             ); ;

ModAPI.Register(
                                                                             new Modification()
                                                                             {
                                                                                 OriginalItem = ModAPI.FindSpawnable("Human"),
                                                                                    NameOverride = "Lawman 2 - WWM",
										    NameToOrderByOverride = "HumanCop1",
                                                                                    DescriptionOverride = "Law enforcement",
                                                                                    CategoryOverride = ModAPI.FindCategory("WWM"),
                                                                                    ThumbnailOverride = ModAPI.LoadSprite("Humans/Law2Thumb.png", 5f),
                                                                                    AfterSpawn = (Instance) =>
                                                                                    {
                                                                                        var skin = ModAPI.LoadTexture("Humans/Law2.png");
                                                                                        var flesh = ModAPI.LoadTexture("flesh.png");
                                                                                        var bone = ModAPI.LoadTexture("bone.png");

                                                                                        var person = Instance.GetComponent<PersonBehaviour>();

                                                                                        person.SetBodyTextures(skin, flesh, bone, 1);


                                                                                        person.SetBruiseColor(86, 62, 130);
                                                                                        person.SetSecondBruiseColor(154, 0, 7);
                                                                                        person.SetThirdBruiseColor(207, 206, 120);
                                                                                        person.SetRottenColour(202, 199, 104);
                                                                                        person.SetBloodColour(108, 0, 4);
                                                                                    }
                                                                             }
                                                                             ); ;

ModAPI.Register(
                                                                             new Modification()
                                                                             {
                                                                                 OriginalItem = ModAPI.FindSpawnable("Human"),
                                                                                    NameOverride = "British Lawman 1 - WWM",
										    NameToOrderByOverride = "HumanCop3",
                                                                                    DescriptionOverride = "Law enforcement",
                                                                                    CategoryOverride = ModAPI.FindCategory("WWM"),
                                                                                    ThumbnailOverride = ModAPI.LoadSprite("Humans/LawBrit1Thumb.png", 5f),
                                                                                    AfterSpawn = (Instance) =>
                                                                                    {
                                                                                        var skin = ModAPI.LoadTexture("Humans/LawBrit1.png");
                                                                                        var flesh = ModAPI.LoadTexture("flesh.png");
                                                                                        var bone = ModAPI.LoadTexture("bone.png");

                                                                                        var person = Instance.GetComponent<PersonBehaviour>();

                                                                                        person.SetBodyTextures(skin, flesh, bone, 1);


                                                                                        person.SetBruiseColor(86, 62, 130);
                                                                                        person.SetSecondBruiseColor(154, 0, 7);
                                                                                        person.SetThirdBruiseColor(207, 206, 120);
                                                                                        person.SetRottenColour(202, 199, 104);
                                                                                        person.SetBloodColour(108, 0, 4);
                                                                                    }
                                                                             }
                                                                             ); ;

ModAPI.Register(
                                                                             new Modification()
                                                                             {
                                                                                 OriginalItem = ModAPI.FindSpawnable("Human"),
                                                                                    NameOverride = "British Lawman 2 - WWM",
										    NameToOrderByOverride = "HumanCop4",
                                                                                    DescriptionOverride = "Law enforcement",
                                                                                    CategoryOverride = ModAPI.FindCategory("WWM"),
                                                                                    ThumbnailOverride = ModAPI.LoadSprite("Humans/LawBrit2Thumb.png", 5f),
                                                                                    AfterSpawn = (Instance) =>
                                                                                    {
                                                                                        var skin = ModAPI.LoadTexture("Humans/LawBrit2.png");
                                                                                        var flesh = ModAPI.LoadTexture("flesh.png");
                                                                                        var bone = ModAPI.LoadTexture("bone.png");

                                                                                        var person = Instance.GetComponent<PersonBehaviour>();

                                                                                        person.SetBodyTextures(skin, flesh, bone, 1);


                                                                                        person.SetBruiseColor(86, 62, 130);
                                                                                        person.SetSecondBruiseColor(154, 0, 7);
                                                                                        person.SetThirdBruiseColor(207, 206, 120);
                                                                                        person.SetRottenColour(202, 199, 104);
                                                                                        person.SetBloodColour(108, 0, 4);
                                                                                    }
                                                                             }
                                                                             ); ;

ModAPI.Register(
                                                                             new Modification()
                                                                             {
                                                                                 OriginalItem = ModAPI.FindSpawnable("Human"),
                                                                                    NameOverride = "US Cavalry - WWM",
										    NameToOrderByOverride = "HumanMilitary1",
                                                                                    DescriptionOverride = "Soldier",
                                                                                    CategoryOverride = ModAPI.FindCategory("WWM"),
                                                                                    ThumbnailOverride = ModAPI.LoadSprite("Humans/CavalryThumb.png", 5f),
                                                                                    AfterSpawn = (Instance) =>
                                                                                    {
                                                                                        var skin = ModAPI.LoadTexture("Humans/Cavalry.png");
                                                                                        var flesh = ModAPI.LoadTexture("flesh.png");
                                                                                        var bone = ModAPI.LoadTexture("bone.png");

                                                                                        var person = Instance.GetComponent<PersonBehaviour>();

                                                                                        person.SetBodyTextures(skin, flesh, bone, 1);


                                                                                        person.SetBruiseColor(86, 62, 130);
                                                                                        person.SetSecondBruiseColor(154, 0, 7);
                                                                                        person.SetThirdBruiseColor(207, 206, 120);
                                                                                        person.SetRottenColour(202, 199, 104);
                                                                                        person.SetBloodColour(108, 0, 4);
                                                                                    }
                                                                             }
                                                                             ); ;

ModAPI.Register(
                                                                             new Modification()
                                                                             {
                                                                                 OriginalItem = ModAPI.FindSpawnable("Human"),
                                                                                    NameOverride = "US Army 1 - WWM",
										    NameToOrderByOverride = "HumanMilitary2",
                                                                                    DescriptionOverride = "Soldier",
                                                                                    CategoryOverride = ModAPI.FindCategory("WWM"),
                                                                                    ThumbnailOverride = ModAPI.LoadSprite("Humans/Infantry1Thumb.png", 5f),
                                                                                    AfterSpawn = (Instance) =>
                                                                                    {
                                                                                        var skin = ModAPI.LoadTexture("Humans/Infantry1.png");
                                                                                        var flesh = ModAPI.LoadTexture("flesh.png");
                                                                                        var bone = ModAPI.LoadTexture("bone.png");

                                                                                        var person = Instance.GetComponent<PersonBehaviour>();

                                                                                        person.SetBodyTextures(skin, flesh, bone, 1);


                                                                                        person.SetBruiseColor(86, 62, 130);
                                                                                        person.SetSecondBruiseColor(154, 0, 7);
                                                                                        person.SetThirdBruiseColor(207, 206, 120);
                                                                                        person.SetRottenColour(202, 199, 104);
                                                                                        person.SetBloodColour(108, 0, 4);
                                                                                    }
                                                                             }
                                                                             ); ;

ModAPI.Register(
                                                                             new Modification()
                                                                             {
                                                                                 OriginalItem = ModAPI.FindSpawnable("Human"),
                                                                                    NameOverride = "US Army 2 - WWM",
										    NameToOrderByOverride = "HumanMilitary3",
                                                                                    DescriptionOverride = "Soldier",
                                                                                    CategoryOverride = ModAPI.FindCategory("WWM"),
                                                                                    ThumbnailOverride = ModAPI.LoadSprite("Humans/Infantry2Thumb.png", 5f),
                                                                                    AfterSpawn = (Instance) =>
                                                                                    {
                                                                                        var skin = ModAPI.LoadTexture("Humans/Infantry2.png");
                                                                                        var flesh = ModAPI.LoadTexture("flesh.png");
                                                                                        var bone = ModAPI.LoadTexture("bone.png");

                                                                                        var person = Instance.GetComponent<PersonBehaviour>();

                                                                                        person.SetBodyTextures(skin, flesh, bone, 1);


                                                                                        person.SetBruiseColor(86, 62, 130);
                                                                                        person.SetSecondBruiseColor(154, 0, 7);
                                                                                        person.SetThirdBruiseColor(207, 206, 120);
                                                                                        person.SetRottenColour(202, 199, 104);
                                                                                        person.SetBloodColour(108, 0, 4);
                                                                                    }
                                                                             }
                                                                             ); ;

ModAPI.Register(
                                                                             new Modification()
                                                                             {
                                                                                 OriginalItem = ModAPI.FindSpawnable("Human"),
                                                                                    NameOverride = "Bank Teller - WWM",
										    NameToOrderByOverride = "HumanBanker",
                                                                                    DescriptionOverride = "Banker",
                                                                                    CategoryOverride = ModAPI.FindCategory("WWM"),
                                                                                    ThumbnailOverride = ModAPI.LoadSprite("Humans/BankerThumb.png", 5f),
                                                                                    AfterSpawn = (Instance) =>
                                                                                    {
                                                                                        var skin = ModAPI.LoadTexture("Humans/Banker.png");
                                                                                        var flesh = ModAPI.LoadTexture("flesh.png");
                                                                                        var bone = ModAPI.LoadTexture("bone.png");

                                                                                        var person = Instance.GetComponent<PersonBehaviour>();

                                                                                        person.SetBodyTextures(skin, flesh, bone, 1);


                                                                                        person.SetBruiseColor(86, 62, 130);
                                                                                        person.SetSecondBruiseColor(154, 0, 7);
                                                                                        person.SetThirdBruiseColor(207, 206, 120);
                                                                                        person.SetRottenColour(202, 199, 104);
                                                                                        person.SetBloodColour(108, 0, 4);
                                                                                    }
                                                                             }
                                                                             ); ;

ModAPI.Register(
                                                                             new Modification()
                                                                             {
                                                                                 OriginalItem = ModAPI.FindSpawnable("Human"),
                                                                                    NameOverride = "Store Clerk - WWM",
										    NameToOrderByOverride = "HumanClerk",
                                                                                    DescriptionOverride = "Clerk",
                                                                                    CategoryOverride = ModAPI.FindCategory("WWM"),
                                                                                    ThumbnailOverride = ModAPI.LoadSprite("Humans/ClerkThumb.png", 5f),
                                                                                    AfterSpawn = (Instance) =>
                                                                                    {
                                                                                        var skin = ModAPI.LoadTexture("Humans/Clerk.png");
                                                                                        var flesh = ModAPI.LoadTexture("flesh.png");
                                                                                        var bone = ModAPI.LoadTexture("bone.png");

                                                                                        var person = Instance.GetComponent<PersonBehaviour>();

                                                                                        person.SetBodyTextures(skin, flesh, bone, 1);


                                                                                        person.SetBruiseColor(86, 62, 130);
                                                                                        person.SetSecondBruiseColor(154, 0, 7);
                                                                                        person.SetThirdBruiseColor(207, 206, 120);
                                                                                        person.SetRottenColour(202, 199, 104);
                                                                                        person.SetBloodColour(108, 0, 4);
                                                                                    }
                                                                             }
                                                                             ); ;




                                                                                                    ModAPI.Register(
                                                                             new Modification()
                                                                             {
                                                                                 OriginalItem = ModAPI.FindSpawnable(""),
                                                                                    NameOverride = "Discord Mod (Hooded)",
                                                                                    DescriptionOverride = "you better not post memes in #general or he's coming for you",
                                                                                    CategoryOverride = ModAPI.FindCategory("Entities"),
                                                                                    ThumbnailOverride = ModAPI.LoadSprite("TacModHoodThumb.png", 5f),
                                                                                    AfterSpawn = (Instance) =>
                                                                                    {
                                                                                        var skin = ModAPI.LoadTexture("TacModHood.png");
                                                                                        var flesh = ModAPI.LoadTexture("flesh.png");
                                                                                        var bone = ModAPI.LoadTexture("bone.png");

                                                                                        var person = Instance.GetComponent<PersonBehaviour>();

                                                                                        person.SetBodyTextures(skin, flesh, bone, 1);


                                                                                        person.SetBruiseColor(86, 62, 130);
                                                                                        person.SetSecondBruiseColor(154, 0, 7);
                                                                                        person.SetThirdBruiseColor(207, 206, 120);
                                                                                        person.SetRottenColour(202, 199, 104);
                                                                                        person.SetBloodColour(108, 0, 4);
                                                                                    }
                                                                             }
                                                                             ); ;

                      ModAPI.Register(
                                                                             new Modification()
                                                                             {
                                                                                 OriginalItem = ModAPI.FindSpawnable(""),
                                                                                    NameOverride = "Operator",
                                                                                    DescriptionOverride = "operates",
                                                                                    CategoryOverride = ModAPI.FindCategory("Entities"),
                                                                                    ThumbnailOverride = ModAPI.LoadSprite("OperatorThumb.png", 5f),
                                                                                    AfterSpawn = (Instance) =>
                                                                                    {
                                                                                        var skin = ModAPI.LoadTexture("Operator.png");
                                                                                        var flesh = ModAPI.LoadTexture("flesh.png");
                                                                                        var bone = ModAPI.LoadTexture("bone.png");

                                                                                        var person = Instance.GetComponent<PersonBehaviour>();

                                                                                        person.SetBodyTextures(skin, flesh, bone, 1);


                                                                                        person.SetBruiseColor(86, 62, 130);
                                                                                        person.SetSecondBruiseColor(154, 0, 7);
                                                                                        person.SetThirdBruiseColor(207, 206, 120);
                                                                                        person.SetRottenColour(202, 199, 104);
                                                                                        person.SetBloodColour(108, 0, 4);
                                                                                    }
                                                                             }
                                                                             ); ;
                                                                           }
                                                                       }
                                                                   }